/**
* @file   helpers.h
* @author Armando Miraglia (arma@lamortenera.it)
* @date   July, 2011
* @brief  declares the function used for setting list attributes
*/

#ifndef __HELPERS_H__
#define __HELPERS_H__

#include <sys/types.h>

/**
* @name    Int meter
* @brief   size of int as meter function
*
* Provides the meter needed by list_attribute_copy() for the type int.
*
* @param  [in] el       element stored in the list.
* @return      size_t   size of the type int.
*
* Example Usage:
* @code
*    list_t l;
*    list_init(&l);
*    list_attributes_copy(&l, int_size, 1);
* @endcode
*/
size_t int_size(const void *el);

#endif  // __HELPERS_H__
