/**
* @file   random.c
* @author Armando Miraglia (arma@lamortenera.it)
* @date   July, 2011
* @brief  implements the functions for generating random values
*/

#include <sys/types.h>
#include <sys/time.h>
#include <stdlib.h>
#include <limits.h>

/* integer random generator */
unsigned int randomi(int *value) {
  struct timeval tv;     // time value

  if(gettimeofday(&tv, NULL)==0) {
    unsigned int usec = (unsigned int)(tv.tv_usec);
    srand(usec);
    *value = rand() % INT_MAX;
    return 0;
  }
  return 1;
}
